import { UnitConfig, UnitResponse } from "../types/common";
import { CreateTokenRequest, CreateTokenVerificationRequest, CustomerToken, VerificationToken } from "../types/customerToken";
import { BaseResource } from "./baseResource";
export declare class CustomerTokens extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    createToken(customerId: string, request: CreateTokenRequest): Promise<UnitResponse<CustomerToken>>;
    createTokenVerification(customerId: string, request: CreateTokenVerificationRequest): Promise<UnitResponse<VerificationToken>>;
}
